//En este módulo de UnAmiga se enciende el diodo naranja cada segundo partiendo de una señal de 50Mhz 
//EL PIN_E1 es la señal de 50mhz en el UnAmiga
//EL PIN_C2 es la señal de 1hz que va dirigida al diodo naranja en el UnAmiga
//ejemplo de partida https://hetpro-store.com/TUTORIALES/contadores-y-clocks/

module Clocks (
    input C_50Mhz,
    output reg C_1Hz
);

 reg[24:0] contador = 0; //Variable Contador equivale a 25 millones de estados. 

 always @(posedge C_50Mhz)
  begin
   contador = contador + 1; //0.5 segundos LED encendido
   if(contador == 25_000_000)
    begin
      contador = 0;
      C_1Hz = ~C_1Hz; //0.5 segundos LED apagado
    end
  end
endmodule